#
# spec file for package lbxproxy
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lbxproxy
Version:        1.0.3
Release:        bp153.1.15
Summary:        Low BandWidth X proxy
License:        MIT
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRequires:  zlib-devel
BuildRequires:  pkgconfig(bigreqsproto)
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(lbxutil)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xproxymngproto)
BuildRequires:  pkgconfig(xtrans)
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Applications that would like to take advantage of the Low Bandwidth
extension to X (LBX) must make their connections to an lbxproxy.
These applications need to know nothing about LBX, they simply connect
to the lbxproxy as if were a regular server. The lbxproxy accepts
client connections, multiplexes them over a single connection to the X
server, and performs various optimizations on the X protocol to make
it faster over low bandwidth and/or high latency connections.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%config %{_sysconfdir}/X11/lbxproxy/
%{_bindir}/lbxproxy
%{_mandir}/man1/lbxproxy.1%{?ext_man}

%changelog
* Tue Feb 26 2013 zaitor@opensuse.org
- Update to version 1.0.3:
  + install: Use sysconfdir instead of libdir for config files.
  + Add const qualifiers to silence some gcc -Wwrite-strings
    warnings.
  + Cast pointer to long instead of int.
  + Add standard url's to README.
  + config:
  - Replace obsolete usage of AC_OUTPUT with AC_CONFIG_FILES.
  - Replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS.
  - Upgrade to util-macros 1.8 for additional man page support.
  - Update AC_PREREQ statement to 2.60.
  - Remove unnecessary calls from configure.ac.
  + Don't link directly against libz.
  + Fill in COPYING file with copyright notices from source code.
- Drop lbxproxy.diff patch, fixed upstream.
- Drop lbxproxy-fix-cast.patch, fixed upstream.
* Fri Apr 13 2012 vuntz@opensuse.org
- Add lbxproxy-fix-cast.patch to fix a cast that causes build
  breakage.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split lbxproxy from xorg-x11. Initial version: 1.0.2.
